<template>
  <div class="draft-list">
    <DraftListItem
      v-for="member in membersWithDraft"
      :key="member.id"
      :member="member"
      :todos="todosByMembers(member)"
    />
  </div>
</template>

<script>
import DraftListItem from './DraftListItem.vue';

export default {
  name: 'DraftLists',
  props: {
    members: {
      type: Array,
      required: true,
    },
    todos: {
      type: Array,
      required: true,
    },
  },
  components: {
    DraftListItem,
  },
  computed: {
    nonEmptyTodos() {
      return this.todos.filter((todo) => todo.title);
    },
    membersWithDraft() {
      // eslint-disable-next-line max-len
      return this.members.filter((member) => this.nonEmptyTodos.find((todo) => todo.userId === member.id));
    },
  },
  methods: {
    todosByMembers(member) {
      return this.nonEmptyTodos.filter((todo) => todo.userId === member.id);
    },
  },
};
</script>

<style lang="scss">
.draft-list{
  flex: 1 1 0%;
  min-width: 400px;
  margin-bottom: 32px;
  padding: 34px 26px 0;
  border-radius: 16px;
  box-shadow: 0 0 12px 0 rgba(0, 0, 0, 0.08);
  border: solid 1px #efefef;
  background-color: #fff;
  overflow-y: auto;
}
</style>
